69

I have tried VLC and totem players but they are not working.
I then searched and re-installed the VLC with latest version available, this time I am getting a green layer on the video.
Any help?

125

VLC out of the box does not play HEVC files. To fix this we need to install libde265 via PPA, which is an open source implementation of the h.265 video codec.

Open up the Terminal and run the commands below:

sudo apt-add-repository ppa:strukturag/libde265 
sudo apt-get update 
sudo apt-get install vlc-plugin-libde265

VLC should now play these media files.

Source: http://www.unixmen.com/fix-vlc-not-support-audio-video-format-hevc/

| improve this answer | |
  • 1
    Only fix I could get to work for HEVC files in VLC. Cheers. – Docconcoct Oct 10 '15 at 0:15
  • That worked for me. – Rodrigo Oct 27 '15 at 0:40
  • 1
    Does this help: askubuntu.com/questions/429803/… – Parto Nov 20 '15 at 6:36
  • 1
    Thank you. Worked like a charm without even restarting machine. – Waseem Mar 16 '17 at 14:18
  • 3
    I cannot install from strukturag PPA (Xubuntu 16.04.3) - E: Unable to locate package vlc-plugin-libde265. Any idea why? – Sebastian Dec 28 '17 at 0:17
8

The above solution does not worked for me. But I found another solution and worked fine for me:

sudo apt-add-repository ppa:strukturag/libde265
sudo add-apt-repository ppa:videolan/stable-daily
sudo apt-get update && sudo apt-get upgrade
sudo apt-get install gstreamer0.10-libde265
sudo apt-get install vlc-plugin-libde265
| improve this answer | |
1

I had to upgrade VLC first, for which I used the PPA at https://launchpad.net/~mc3man/+archive/ubuntu/trusty-media/ .

sudo add-apt-repository ppa:mc3man/trusty-media  
sudo apt-get update  
sudo apt-get dist-upgrade

Don't forget to purge and remove these repos before upgrading to new Ubuntu version!

Then I installed the vlc-plugin, see the other answer. And it started working.

sudo apt-add-repository ppa:strukturag/libde265  
sudo apt-get update  
sudo apt-get install vlc-plugin-libde265  

Summed up at https://developer.jboss.org/people/ozizka/blog/2016/03/15/vlc-221-and-hevc-in-ubuntu-1404-lts .

| improve this answer | |

Not the answer you're looking for? Browse other questions tagged or ask your own question.